跳转到主要内容
监控与采集相关接口/性能剖析
GETProfiling起始版本 1.0同步需要认证

查询回归报告列表

列表回归分析报告可选过滤。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

查询参数

请求参数

查询参数

  • profileTypeString

    剖析类型。

  • severityString

    告警级别。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • itemsList

    条目列表。

    示例: (nested array)

    • reportIdString

      唯一标识符回归报表。

      示例: rpt-xyz789

    • baselineLabelString

      基线标签。

      示例: v1.2.0-release

    • compareLabelString

      比较标签。

      示例: v1.3.0-candidate

    • profileTypeString

      已使用回归分析。

      示例: cpu

    • regressionDetectedBoolean

      性能回归已检测。

      示例: true

    • severityString

      告警级别。

      示例: WARNING

    • changedFunctionsList

      变更函数。

      示例: (nested array)

      • funcNameString

        完全限定名称函数变更。

        示例: net/http.(*Transport).roundTrip

      • baselinePctLong

        基线百分比。

        示例: 3.2

      • comparePctLong

        比较百分比。

        示例: 8.7

      • deltaPctLong

        变化量百分比。

        示例: 5.5

      • directionString

        方向。

        示例: increased

    • newHotspotsList

      新增热点。

      示例: (nested array)

      • funcNameString

        完全限定名称函数变更。

        示例: net/http.(*Transport).roundTrip

      • baselinePctLong

        基线百分比。

        示例: 3.2

      • comparePctLong

        比较百分比。

        示例: 8.7

      • deltaPctLong

        变化量百分比。

        示例: 5.5

      • directionString

        方向。

        示例: increased

    • disappearedHotspotsList

      消失的热点。

      示例: (nested array)

      • funcNameString

        完全限定名称函数变更。

        示例: net/http.(*Transport).roundTrip

      • baselinePctLong

        基线百分比。

        示例: 3.2

      • comparePctLong

        比较百分比。

        示例: 8.7

      • deltaPctLong

        变化量百分比。

        示例: 5.5

      • directionString

        方向。

        示例: increased

    • createdAtString

      创建时间。

      示例: 2026-01-15T08:00:00Z

  • totalInteger

    返回结果总数。

    示例: 10

  • limitInteger

    最大返回条目数。

    示例: 20

  • offsetInteger

    查询起始偏移量。

    示例: 20

请求地址

GET/api/v1/profiling/regression/reports

/api/v1/profiling/regression/reports

操作 ID

ListRegressionReports

永久链接

请求示例

curl -X GET '{host}/api/v1/profiling/regression/reports' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "items": [
    {}
  ],
  "total": 10,
  "limit": 20,
  "offset": 20
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史